Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeResourceBase Class Reference

`#include <deResource.hpp>`

Inheritance diagram for IdeResourceBase:

[legend]
Collaboration diagram for IdeResourceBase:

[legend]
List of all members.

## Public Member Functions
virtual void * | GetRscInterface (long interface_id)=0
virtual deBoolean | IsDirty (void)=0
| tells whether or not the object has been modified since it was loaded from file
virtual const char * | GetFilename (void)=0
| Returns: pointer to the object's internal name entry
virtual void | GetFilenameBuffer (char *buffer, long buffersize)=0
virtual IdeResourceBase * | MakeCopy (void)=0
| create a copy of the object in memory
virtual void | SetHash (void *HashTable)=0
virtual void * | GetHash (void)=0
virtual void | SetManager (IdeResourceManager *Manager)=0
virtual IdeResourceManager * | GetManager (void)=0
## Protected Member Functions
virtual | ~IdeResourceBase ()

## Detailed Description

Used for handling objects that can be created from files. Related classes: IdeResourceManager.

## Constructor & Destructor Documentation

virtual IdeResourceBase::~IdeResourceBase | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* IdeResourceBase::GetFilename | ( | void |  | ) | `[pure virtual]`

| Returns: pointer to the object's internal name entry Implemented in deResourceBase.

virtual void IdeResourceBase::GetFilenameBuffer | ( | char * | buffer,
|  | long | buffersize
| ) | `[pure virtual]`

| fills buffer with the filename of the object, until the entire name is stored or 'buffersize' characters are written Implemented in deResourceBase.

virtual void* IdeResourceBase::GetHash | ( | void |  | ) | `[pure virtual]`

| Implemented in deResourceBase.

virtual IdeResourceManager* IdeResourceBase::GetManager | ( | void |  | ) | `[pure virtual]`

| Implemented in deResourceBase.

virtual void* IdeResourceBase::GetRscInterface | ( | long | interface_id | ) | `[pure virtual]`

  | Used to retrieve a pointer to an interface registered through IdeResourceManager. Returns: NULL or a valid pointer to an interface supported by this object Parameters:
  interface_id | A value previously retrieved through IdeResourceManager::GetUniqueInterfaceID
Implemented in deResourceBase, deActorDef, deAnimatedMesh, deBitmap, deWAV, deWorld, and CTestResource.

virtual deBoolean IdeResourceBase::IsDirty | ( | void |  | ) | `[pure virtual]`

| tells whether or not the object has been modified since it was loaded from file Implemented in deResourceBase.

virtual IdeResourceBase* IdeResourceBase::MakeCopy | ( | void |  | ) | `[pure virtual]`

| create a copy of the object in memory Implemented in deResourceBase, deAnimatedMesh, deBitmap, deOGG, deWAV, deWorld, and CTestResource.

virtual void IdeResourceBase::SetHash | ( | void * | HashTable | ) | `[pure virtual]`

| Implemented in deResourceBase.

virtual void IdeResourceBase::SetManager | ( | IdeResourceManager * | Manager | ) | `[pure virtual]`

| Implemented in deResourceBase.

The documentation for this class was generated from the following file:

- deResource.hpp